import models


def index(request):
    print(request)
    proizvodi = ""
    for k, v in models.dohvati_sve_proizvode():
        proizvodi += f"<option value='{k}'>{v['ime']}</option>"
    return "index.html", {"proizvodi": proizvodi}


def results(request):
    print(request)
    proizvod = models.dohvati_proizvod(request["body"]["proizvodi"])
    return "results.html", {"proizvod": proizvod['ime'] + ": " + proizvod["opis"]}

def view_add_proizvod(request):
    print(request)
    return "add_proizvod.html", {}

def add_proizvod(request):
    print(request)
    models.dodaj_proizvod(request["body"]["ime"], request["body"]["opis"])
    proizvodi = ""
    for k, v in models.dohvati_sve_proizvode():
        proizvodi += f"<option value='{k}'>{v['ime']}</option>"
    return "index.html", {"proizvodi": proizvodi}

