from http import cookies

import models


def index(request):
    print(request)
    proizvodi = ""
    for k, v in models.dohvati_sve_proizvode():
        proizvodi += f"<option value='{k}'>{v['ime']}</option>"
    return "index.html", {"proizvodi": proizvodi}, []


def results(request):
    print(request)
    cookie = cookies.SimpleCookie(request['cookies'])
    cookie['proizvodi'] = request["body"]["proizvodi"]
    cookie['broj'] = request["body"]["broj"]
    proizvod = models.dohvati_proizvod(cookie['proizvodi'].value)
    return "results.html", {"proizvod": proizvod['ime'] + ": " + proizvod["opis"], "broj": cookie['broj'].value}, [cookie['proizvodi'].output(header=''), cookie['broj'].output(header='')]

def view_cart(request):
    print(request)
    cookie = cookies.SimpleCookie(request['cookies'])
    try:
        proizvod = models.dohvati_proizvod(cookie['proizvodi'].value)
        return "results.html", {"proizvod": proizvod['ime'] + ": " + proizvod["opis"], "broj": cookie['broj'].value}, []
    except KeyError:
        return "results.html", {"proizvod": "Vasa korpa je prazna!", "broj": ""}, []
def view_add_proizvod(request):
    print(request)
    return "add_proizvod.html", {}, []

def add_proizvod(request):
    print(request)
    models.dodaj_proizvod(request["body"]["ime"], request["body"]["opis"])
    proizvodi = ""
    for k, v in models.dohvati_sve_proizvode():
        proizvodi += f"<option value='{k}'>{v['ime']}</option>"
    return "index.html", {"proizvodi": proizvodi}, []

