import json
import os

sessions = {}


def generate_session_id():
    # Simple session ID generation function
    import uuid
    return str(uuid.uuid4())


def save_to_file(session_id):
    if os.path.exists('./tmp/sess_' + session_id):
        f = open('./tmp/sess_' + session_id, 'w')
        json.dump(sessions[session_id], f)
    else:
        f = open('./tmp/sess_' + session_id, 'x')
        json.dump(sessions[session_id], f)

def read_from_files():
    for file in os.listdir("./tmp"):
        session_id = file.split("_")[1]
        f = open("./tmp/" + file)
        sessions[session_id] = json.load(f)
